%define distname fuse_kio
%define svndate 20070521

Name: fuse-kio
Version: 0.1
Release: alt0.4
Summary: KIO FUSE gateway
Summary(uk_UA.CP1251):  KIO FUSE
Summary(ru_RU.CP1251):  KIO FUSE
Group: System/Kernel and hardware
License: GPL
URL: http://kde.ground.cz/tiki-index.php?page=KIO+Fuse+Gateway
Source0: %distname-svn-%svndate.tar.bz2
#Do it to get sources
#Dir=fuse_kio
#svn co -N svn://anonsvn.kde.org/home/kde/trunk/kdenonbeta "$Dir"
#cd "$Dir"
#svn co svn://anonsvn.kde.org/home/kde/branches/KDE/3.5/kde-common/admin
#svn co svn://anonsvn.kde.org/home/kde/trunk/kdenonbeta/fuse_kio
Source1: KIO_Fuse_Gateway.html
Source2: fusemount_konqplugin.Readme
Patch0: %distname-makefile.patch
Patch1: %distname-fusemount.patch
Requires: %{get_dep fuse}

# Automatically added by buildreq on Mon May 21 2007
#BuildRequires: flex gcc-c++ imake kdebase-devel kde-i18n-uk kdepim-devel libdnet-devel libfuse-devel libjpeg-devel libXext-devel libXt-devel qt3-designer qtcl xml-utils xorg-cf-files

BuildRequires: flex gcc-c++ imake kdebase-devel xml-utils xorg-cf-files
BuildRequires: libdnet-devel libfuse-devel libjpeg-devel libXext-devel
BuildRequires: libXt-devel

%description
%distname is a bridge between the KIO filesystem design and FUSE, a
program to mount user-space filesystems.
This gateway makes it possible to mount ioslaves or a general
ioslave-gateway via FUSE and make them this way available to all linux
apps.

%description -l uk_UA.CP1251
%distname      KIO  FUSE ( 
     ).
     ioslave'  
ioslave-  FUSE ,  ,     
˳-.

%description -l ru_RU.CP1251
%distname       KIO  FUSE
(      
).
     ioslave'  
ioslave-  FUSE ,  ,     
-.


%package -n konqueror-plugin-fusemount
Summary: Plugin for konqueror for mount and unmount SMB shares
Group: System/Kernel and hardware
Requires: %name

%description -n konqueror-plugin-fusemount
This plugin for konqy works together with the smbro ioslave. It uses
the special() function of the smbro ioslave to mount and unmount smb
shares. This is done by the ioslave by executing smbmount and
smbumount. Therefor both have to be installed suid root. If you
consider this a security risk, don't use this plugin.


%prep
%setup -n %distname-svn-%svndate
%patch0 -p1
%patch1 -p1
install -m 0644 %SOURCE1 %distname/%distname/KIO_Fuse_Gateway.html
install -m 0644 %SOURCE2 %distname/fusemount_konqplugin/Readme


%build
UNSERMAKE=no %make -f Makefile.cvs
%configure --with-pic --disable-rpath
%make_build -C %distname


%install
%make_install -C %distname DESTDIR=%buildroot install


%files
%doc %distname/AUTHORS %distname/README %distname/TODO
%doc %distname/%distname/KIO_Fuse_Gateway.html
%_bindir/*


%files -n konqueror-plugin-fusemount
%doc %distname/fusemount_konqplugin/Readme
%_libdir/kde3/*
%dir %_datadir/apps/konqiconview
%dir %_datadir/apps/konqlistview
%dir %_datadir/apps/konqiconview/kpartplugins
%dir %_datadir/apps/konqlistview/kpartplugins
%_datadir/apps/konqiconview/kpartplugins/*
%_datadir/apps/konqlistview/kpartplugins/*
%_datadir/applnk/.hidden/*


%changelog
* Mon May 21 2007 Led <led@altlinux.ru> 0.1-alt0.4
- 20070521 SVN snapshot
- updated BuildRequires
- cleaned up spec

* Thu May 04 2006 Led <led@altlinux.ru> 0.1-alt0.3
- 20060504 SVN snapshot
- added %distname-makefile.patch
- added konqueror-plugin-fusemount package

* Thu Feb 09 2006 Led <led@altlinux.ru> 0.1-alt0.2
- new SVN snapshot
- added doc from Home page

* Thu Feb 02 2006 Led <led@altlinux.ru> 0.1-alt0.1
- initial build
